## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) firejail

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops-contrib/ansible-firejail.svg?style=flat)](https://travis-ci.org/debops-contrib/ansible-firejail)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--firejail-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-firejail/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops--contrib.firejail-660198.svg?style=flat)](https://galaxy.ansible.com/debops-contrib/firejail)


Firejail is a SUID program that reduces the risk of security breaches by
restricting the running environment of untrusted applications using Linux
namespaces and seccomp-bpf.

This Ansible role allows you to setup and configure Firejail.

### Features

* Install Firejail from jessie-backports or other configured APT
  repositories. [debops.apt] can be used to enable Backports if needed.
* Sandbox programs system wide by placing a symlink to `firejail` into the
  ``PATH`` so that `firejail` can wrap program invocations and sandbox the
  invoked program using security profiles that Firejail ships or that the system
  administrator defines.

[debops.apt]: https://github.com/debops/ansible-apt

### Installation

This role requires at least Ansible `v2.1.3`. To install it, run:

```Shell
ansible-galaxy install debops-contrib.firejail
```

### Documentation

<!-- FIXME: Change to the canonical URL when it has been setup. https://github.com/debops/docs/issues/111 -->
More information about `debops-contrib.firejail` can be found in the
[official debops-contrib.firejail documentation](https://debops-contrib.readthedocs.io/en/latest/ansible/roles/ansible-firejail/docs/).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- [Robin Schneider](https://docs.debops.org/en/latest/debops-keyring/docs/entities.html#debops-keyring-entity-ypid) (maintainer) | [e-mail](mailto:ypid@riseup.net) | [GitHub](https://github.com/ypid)

License: [GPL-3.0](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps Contrib](https://github.com/debops-contrib/debops-contrib). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
<!-- Ansigenome sources: https://github.com/ypid/ypid-ansible-common/tree/master/template_READMEs/debops-contrib -->
