## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) dhparam

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-dhparam.svg?style=flat)](https://travis-ci.org/debops/ansible-dhparam)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--dhparam-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-dhparam/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.dhparam-660198.svg?style=flat)](https://galaxy.ansible.com/debops/dhparam)


[Diffie-Hellman Key Exchange][] is a way to securely share encryption keys
publicly between two parties. It's used in TLS and SSL connections to
provide [Perfect Forward Secrecy][]. Unfortunately, the default DH parameters
distributed with applications are susceptible to a [downgrade attack][].

The `debops.dhparam` Ansible role will generate a set of strong
Diffie-Hellman parameters on the Ansible Controller, which will be preseeded on
remote hosts, and will be ready to use by other applications. A separate
script can then be used on remote hosts in the background to generate new
random DH parameters, either once or in regular intervals.

[Diffie-Hellman Key Exchange]: https://en.wikipedia.org/wiki/Diffie%E2%80%93Hellman_key_exchange
[Perfect Forward Secrecy]: https://en.wikipedia.org/wiki/Forward_secrecy
[downgrade attack]: https://weakdh.org/

### Installation

This role requires at least Ansible `v2.1.4`. To install it, run:

```Shell
ansible-galaxy install debops.dhparam
```

### Documentation

More information about `debops.dhparam` can be found in the
[official debops.dhparam documentation](https://docs.debops.org/en/latest/ansible/roles/ansible-dhparam/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- [Maciej Delmanowski](https://docs.debops.org/en/latest/debops-keyring/docs/entities.html#debops-keyring-entity-drybjed) (maintainer) | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)
- [Robin Schneider](https://docs.debops.org/en/latest/debops-keyring/docs/entities.html#debops-keyring-entity-ypid) | [e-mail](mailto:ypid@riseup.net) | [GitHub](https://github.com/ypid)

License: [GPL-3.0](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
