## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) etherpad

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-etherpad.svg?style=flat)](https://travis-ci.org/debops/ansible-etherpad)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--etherpad-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-etherpad/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.etherpad-660198.svg?style=flat)](https://galaxy.ansible.com/debops/etherpad)


[Etherpad](https://en.wikipedia.org/wiki/Etherpad) is a collaborative text
editor usable through a web browser. Documents can be edited by multiple people
in real time, shared and exported in different formats.

This role can be used to deploy and configure [Etherpad Lite](https://github.com/ether/etherpad-lite),
a NodeJS version of Etherpad, on a Debian/Ubuntu host. The application can use
a MariaDB or SQLite database as a storage backend, and will be configured
behind a Nginx proxy as a frontend.

### Installation

This role requires at least Ansible `v2.3.0`. To install it, run:

```Shell
ansible-galaxy install debops.etherpad
```

### Documentation

More information about `debops.etherpad` can be found in the
[official debops.etherpad documentation](https://docs.debops.org/en/latest/ansible/roles/ansible-etherpad/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)
- [Robin Schneider](http://ypid.de/) | [e-mail](mailto:ypid@riseup.net) | [Twitter](https://twitter.com/ypid) | [GitHub](https://github.com/ypid)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
