## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) gunicorn

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-gunicorn.svg?style=flat)](https://travis-ci.org/debops/ansible-gunicorn)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--gunicorn-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-gunicorn/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.gunicorn-660198.svg?style=flat)](https://galaxy.ansible.com/debops/gunicorn)


The [Green Unicorn](http://gunicorn.org/) is a Python WSGI HTTP Server for
UNIX. It uses a pre-fork worker model ported from Ruby's Unicorn project. The
Gunicorn server is broadly compatible with various web frameworks, simply
implemented, light on server resources, and fairly speedy.

The `debops.gunicorn` Ansible role uses the [Debian package configuration structure](https://chris-lamb.co.uk/posts/sysadmin-friendly-deployment-gunicorn-debian)
to manage multiple `gunicorn` applications as a single service. This can be
used to deploy applications that use either a system Python installation, or
a `virtualenv` Python environment.

### Installation

This role requires at least Ansible `v2.0.0`. To install it, run:

```Shell
ansible-galaxy install debops.gunicorn
```

### Documentation

More information about `debops.gunicorn` can be found in the
[official debops.gunicorn documentation](https://docs.debops.org/en/latest/ansible/roles/ansible-gunicorn/docs/).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
