## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) mosquitto

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-mosquitto.svg?style=flat)](https://travis-ci.org/debops/ansible-mosquitto)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--mosquitto-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-mosquitto/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.mosquitto-660198.svg?style=flat)](https://galaxy.ansible.com/debops/mosquitto)


[Mosquitto](https://mosquitto.org/) is an open source
[Message Queue Telemetry Transport](https://en.wikipedia.org/wiki/MQTT)
broker used in the [Internet of Things](https://en.wikipedia.org/wiki/Internet_of_things)
paradigm.

The `debops.mosquitto` Ansible role can be used to install and configure
Mosquitto on Debian/Ubuntu hosts. The role can use other DebOps roles to manage
firewall access to Mosquitto, publish Avahi services and configure an nginx
frontend for the Mosquitto WebSockets API.

### Installation

This role requires at least Ansible `v2.3.0`. To install it, run:

```Shell
ansible-galaxy install debops.mosquitto
```

### Documentation

More information about `debops.mosquitto` can be found in the
[official debops.mosquitto documentation](https://docs.debops.org/en/latest/ansible/roles/ansible-mosquitto/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
