## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) opendkim

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-opendkim.svg?style=flat)](https://travis-ci.org/debops/ansible-opendkim)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--opendkim-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-opendkim/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.opendkim-660198.svg?style=flat)](https://github.com/debops/ansible-opendkim)


[DomainKeys Identified Mail](https://en.wikipedia.org/wiki/DomainKeys_Identified_Mail)
(DKIM) standard can be used by organizations to automatically sign and verify
e-mail messages sent by their SMTP server(s). Other organizations can verify
signed messages using public keys retrieved from the DNS database; the
signature validity can then be used to classify e-mail messages as wanted or
not.

The [OpenDKIM](http://opendkim.org/) library implements DKIM in the form of
a Sendmail milter service, which can be used by SMTP servers. You can use
the `debops.opendkim` Ansible role to configure the OpenDKIM service on one
or multiple hosts. If `debops.postfix` role is used together with this one,
Postfix can be automatically configured to sign and verify e-mail messages.

### Installation

This role requires at least Ansible `v2.3.0`. To install it, run:

```Shell
ansible-galaxy install debops.opendkim
```

### Documentation

More information about `debops.opendkim` can be found in the
[official debops.opendkim documentation](https://docs.debops.org/en/latest/ansible/roles/ansible-opendkim/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
