## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) postwhite

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-postwhite.svg?style=flat)](https://travis-ci.org/debops/ansible-postwhite)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--postwhite-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-postwhite/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.postwhite-660198.svg?style=flat)](https://github.com/debops/ansible-postwhite)


The [Postwhite](https://github.com/stevejenkins/postwhite) script can be used
to generate whitelists and/or blacklists of IP addresses and CIDR subnets based
on the SPF records of selected domains. These whitelists/blacklists can then be
used by the [Postscreen](http://www.postfix.org/POSTSCREEN_README.html)
Postfix service to automatically allow or deny connections to specific SMTP
clients. This is useful for accepting messages from big mail providers like
Google and Outlook which may resend mail messages from different IP addresses,
which in turn interferes with Postscreen SMTP client greylisting.

The `debops.postwhite` Ansible role will install Postwhite script and
configure Postfix automatically using the `debops.postfix` Ansible role, as long
as the Postscreen configuration is enabled by the `debops.postscreen` role.
See the documentation of the mentioned roles for more details.

### Installation

This role requires at least Ansible `v2.3.0`. To install it, run:

```Shell
ansible-galaxy install debops.postwhite
```

### Documentation

More information about `debops.postwhite` can be found in the
[official debops.postwhite documentation](https://docs.debops.org/en/latest/ansible/roles/ansible-postwhite/docs/).



### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPLv3](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
