## [![DebOps](https://debops.org/images/debops-small.png)](https://debops.org) preseed

<!-- This file was generated by Ansigenome. Do not edit this file directly but
     instead have a look at the files in the ./meta/ directory. -->

[![Travis CI](https://img.shields.io/travis/debops/ansible-preseed.svg?style=flat)](https://travis-ci.org/debops/ansible-preseed)
[![test-suite](https://img.shields.io/badge/test--suite-ansible--preseed-blue.svg?style=flat)](https://github.com/debops/test-suite/tree/master/ansible-preseed/)
[![Ansible Galaxy](https://img.shields.io/badge/galaxy-debops.preseed-660198.svg?style=flat)](https://galaxy.ansible.com/debops/preseed)


[Preseeding](https://wiki.debian.org/DebianInstaller/Preseed) is a way to
configure the Debian Installer non-interactively. During installation,
a special text file can be downloaded over HTTP, this file can provide
answers to the installer questions.

After installation, a custom shell script will be downloaded and run in the
target environment to prepare host for remote use (an admin account will be
created, SSH keys will be configured, optionally a Salt Minion will be
installed and will start on the next boot).

### Installation

This role requires at least Ansible `v1.7.0`. To install it, run:

```Shell
ansible-galaxy install debops.preseed
```

### Documentation

More information about `debops.preseed` can be found in the
[official debops.preseed documentation](http://docs.debops.org/en/latest/ansible/roles/ansible-preseed/docs/).


### Role dependencies

- `debops.secret`

### Are you using this as a standalone role without DebOps?

You may need to include missing roles from the [DebOps common
playbook](https://github.com/debops/debops-playbooks/blob/master/playbooks/common.yml)
into your playbook.

[Try DebOps now](https://debops.org/) for a complete solution to run your Debian-based infrastructure.





### Authors and license

- Maciej Delmanowski | [e-mail](mailto:drybjed@gmail.com) | [Twitter](https://twitter.com/drybjed) | [GitHub](https://github.com/drybjed)

License: [GPL-3.0](https://tldrlegal.com/license/gnu-general-public-license-v3-%28gpl-3%29)

***

This role is part of [DebOps](https://debops.org/). README generated by [ansigenome](https://github.com/nickjj/ansigenome/).
